Description

the idea is that we want to provide a kind of config server in rsb. however we do not want that clients are intrinsically coupled to rsb
already for this. hence. provide a generic interface for this and add the config file and environment parser to implement this interface

History
#1 - 10/21/2011 07:34 PM - J. Moringen

Does "configuration" refer to framework aspects (i.e. transports, converters, etc.) or is something like the ROS ParameterServer meant? Or both?

Also, if I understand the configuration handling part of proposal correctly, the C++ implementation already has something similar in form of the 
OptionHandler interface.

#2 - 10/21/2011 08:32 PM - J. Wienke

yes. it is about parameters for clients in the first place and not about the rsb config itself. the motivation was that several  clients share  the same
parameters .

i don't know how sophisticated  the option handler interface  is? eg does it allow changes of options afterwards? or can we use protocol buffers as
values? also, where do you register the handler?

#3 - 10/21/2011 08:50 PM - J. Moringen

Johannes Wienke wrote:

yes. it is about parameters for clients in the first place and not about the rsb config itself. the motivation was that several  clients share  the same
parameters .

Why is this issue associated to RSC, then?

i don't know how sophisticated  the option handler interface  is? eg does it allow changes of options afterwards? or can we use protocol buffers as
values? also, where do you register the handler?

Now, that the goal has been clarified, I wouldn't see OptionHandler as being related to this issue anymore.

#4 - 05/21/2013 02:28 PM - J. Moringen
- Status changed from New to Rejected
http://www.ros.org/wiki/Parameter%20Server
https://code.cor-lab.org/projects/rsc/repository/entry/trunk/rsc/src/rsc/config/OptionHandler.h


This will be handled in project:rsp. New issues can be opened for RSC/RSP integration.

Reopen, if you disagree.
